/***** extend.h ***************************************************
 * Description: 
 * Author: Bernhard Haubold, haubold@evolbio.mpg.de
 * File created on Sun Feb 12 19:43:23 2006.
 *****************************************************************/
/* maximal segment pair */
typedef struct msp{
  int queryS;
  int queryE;
  int sbjctS;
  int sbjctE;
  float score;
  char *strand;
  struct msp *next;
}Msp;

Msp *checkDna(KTreeResult *ktr, char *query, char *sbjct, SubstitutionMatrix *sm, char *strand, Args args);
void extend(char *query, char *sbjct, Msp *msp, SubstitutionMatrix *sm, Args args);
Msp *getMsp();
